Bug 986511 - remove rsyslog dependency
remove rsyslog dependency
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cloud-init (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Garrett Holmstrom
Fedora Extras Quality Assurance
:
: 953530 1181844 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-19 21:30 EDT by Matthew Miller
Modified: 2015-07-27 06:39 EDT (History)
8 users (show)

See Also:
Fixed In Version: cloud-init-0.7.5-8.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-11 21:42:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2013-07-19 21:30:51 EDT
All of this talk of removing rsyslog from the cloud image is moot when cloud-init is pulling it in. There's bug #953530 for EPEL; this one is for Fedora.


I kinda think cloud-init's crazy-verbose multi-line logging is an example of something that would be better handled by the journal anyway.
Comment 1 Garrett Holmstrom 2013-07-25 01:00:36 EDT
The situation is the same as it is for EPEL:  cloud-init depends on rsyslog for its /etc/rsyslog.d directory, per the packaging guidelines.   It does not require rsyslog to be running, and as such, a spin may disable rsyslog if needed.

Are we still doing conditional entries in comps?  If so, then perhaps it might make sense to add a single-file cloud-init-rsyslog subpackage to @standard, contingent on cloud-init being installed.  Then installs that pull in cloud-init and the rsyslog-using @standard will get the currently-expected behavior.
Comment 2 Matthew Miller 2013-07-25 10:13:16 EDT
I don't know if that works in comps anymore. I'll check.

I think it's kind of silly for a package to rely on an abstracted log interface (like syslog) and then also provide the configuration for that service in the same package. If the intent is to get cloud-init messages right into a specific file and nowhere else (which is the shipped config), why bother with going through syslog?
Comment 3 Garrett Holmstrom 2013-07-25 13:32:44 EDT
(In reply to Matthew Miller from comment #2)

> I think it's kind of silly for a package to rely on an abstracted log
> interface (like syslog) and then also provide the configuration for that
> service in the same package. If the intent is to get cloud-init messages
> right into a specific file and nowhere else (which is the shipped config),
> why bother with going through syslog?

The intent is the converse:  to provide a default configuration when rsyslog happens to be the running syslog daemon.  Unlike a built-in logging setup, this results in a setup that people can tweak to their liking with all of rsyslog's considerable power.  Of course, the side effect of this is that if you're using a different syslog daemon you might experience different results.  In that case, feel free to file a bug or submit a patch to add support for another syslogd.
Comment 4 Matthew Miller 2013-07-25 14:27:54 EDT
(In reply to Garrett Holmstrom from comment #3)
> The intent is the converse:  to provide a default configuration when rsyslog
> happens to be the running syslog daemon.  Unlike a built-in logging setup,
> this results in a setup that people can tweak to their liking with all of

In that case, the conditional package makes sense. Or, alternately, actually getting this put into _rsyslog's_ default configuration.
Comment 5 Fedora End Of Life 2013-09-16 10:39:51 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 6 Matthew Miller 2014-04-22 10:07:01 EDT
*** Bug 953530 has been marked as a duplicate of this bug. ***
Comment 7 Fedora Update System 2014-11-07 21:05:23 EST
cloud-init-0.7.5-8.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cloud-init-0.7.5-8.fc21
Comment 8 Fedora Update System 2014-11-10 01:32:45 EST
Package cloud-init-0.7.5-8.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cloud-init-0.7.5-8.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-14597/cloud-init-0.7.5-8.fc21
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2014-11-11 21:42:53 EST
cloud-init-0.7.5-8.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Colin Walters 2015-01-13 17:35:57 EST
*** Bug 1181844 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.